청구 예정액 검색과 페이지 독립 요약
curl --request GET \
--url https://meterengine.com/v1/invoices/draft/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/invoices/draft/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"amount": 123,
"auto_finalize_held": true,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"lines": [
{
"amount": 123,
"billable_metric_code": "<string>",
"dimension_values": {},
"line_type": "per_unit",
"quantity": 123,
"quantity_denominator": 123,
"quantity_numerator": 123,
"target_property": "<string>",
"tier_index": 123,
"unit_price": 123
}
],
"negative_usages": [
{
"billable_metric_code": "<string>",
"dimension_values": {},
"quantity": 123,
"target_property": "<string>"
}
],
"unpriced_usages": [
{
"billable_metric_code": "<string>",
"dimension_values": {},
"quantity": 123,
"target_property": "<string>"
}
]
}
],
"page": 123,
"size": 123,
"summary": {},
"total": 123,
"total_unfiltered": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}검색과 내보내기
청구 예정액 검색과 페이지 독립 요약
month, customer_id, billable_metric_code, q, min_amount, max_amount, sort(customer_name/customer_id/amount/line_count), order, page, size를 받는다. amount는 선택 조건 전체 합계이며 month_amount는 월 전체다. 기존 확정 요청은 검색 조건과 관계없이 월 전체를 확정하므로 finalization_scope는 month다. summary는 month, calculated_at, amount, customer_count, billable_customer_count, line_count, unpriced_count, negative_count와 같은 이름의 month_ 월 전체 값, finalization_scope, 청구 예정액 조회와 같은 auto_finalize_enabled, auto_finalize_at, auto_finalize_running이다.
GET
/
v1
/
invoices
/
draft
/
search
청구 예정액 검색과 페이지 독립 요약
curl --request GET \
--url https://meterengine.com/v1/invoices/draft/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/invoices/draft/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"amount": 123,
"auto_finalize_held": true,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"lines": [
{
"amount": 123,
"billable_metric_code": "<string>",
"dimension_values": {},
"line_type": "per_unit",
"quantity": 123,
"quantity_denominator": 123,
"quantity_numerator": 123,
"target_property": "<string>",
"tier_index": 123,
"unit_price": 123
}
],
"negative_usages": [
{
"billable_metric_code": "<string>",
"dimension_values": {},
"quantity": 123,
"target_property": "<string>"
}
],
"unpriced_usages": [
{
"billable_metric_code": "<string>",
"dimension_values": {},
"quantity": 123,
"target_property": "<string>"
}
]
}
],
"page": 123,
"size": 123,
"summary": {},
"total": 123,
"total_unfiltered": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
Maximum string length:
2000Maximum string length:
2000사용 가능한 옵션:
asc, desc 필수 범위:
1 <= x <= 2147483647필수 범위:
1 <= x <= 200Pattern:
^[0-9]{4}-(0[1-9]|1[0-2])$예시:
"2026-08"
Maximum string length:
2000필수 범위:
x >= 0필수 범위:
x >= 0